Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plus.servlet
Class ServletHandler

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.handler.AbstractHandler
              org.mortbay.jetty.servlet.ServletHandler
                  org.mortbay.jetty.plus.servlet.ServletHandler

All Implemented Interfaces:
  LifeCycle, Handler

    public class ServletHandler

extends ServletHandler

ServletHandler

Nested Class Summary

Nested classes/interfaces inherited from interface org.mortbay.component.LifeCycle
`LifeCycle.Listener`

Field Summary

Fields inherited from class org.mortbay.jetty.servlet.ServletHandler
`__DEFAULT_SERVLET, __J_S_CONTEXT_TEMPDIR, __J_S_ERROR_EXCEPTION, __J_S_ERROR_EXCEPTION_TYPE, __J_S_ERROR_MESSAGE, __J_S_ERROR_REQUEST_URI, __J_S_ERROR_SERVLET_NAME, __J_S_ERROR_STATUS_CODE, _chainCache`

Fields inherited from class org.mortbay.jetty.handler.AbstractHandler
`_string`

Fields inherited from class org.mortbay.component.AbstractLifeCycle
`_listeners`

Fields inherited from interface org.mortbay.jetty.Handler
`ALL, DEFAULT, ERROR, FORWARD, INCLUDE, REQUEST`

Constructor Summary
`ServletHandler()`

Method Summary
`javax.servlet.Filter` | `customizeFilter(javax.servlet.Filter filter)` Customize a Filter.
`javax.servlet.Filter` | `customizeFilterDestroy(javax.servlet.Filter filter)`
`javax.servlet.Servlet` | `customizeServlet(javax.servlet.Servlet servlet)` Customize a servlet.
`javax.servlet.Servlet` | `customizeServletDestroy(javax.servlet.Servlet servlet)`
`LifeCycleCallbackCollection` | `getCallbacks()`
`InjectionCollection` | `getInjections()`
`void` | `setCallbacks(LifeCycleCallbackCollection callbacks)`
`void` | `setInjections(InjectionCollection injections)`

Methods inherited from class org.mortbay.jetty.servlet.ServletHandler
`addFilter, addFilter, addFilter, addFilterMapping, addFilterWithMapping, addFilterWithMapping, addFilterWithMapping, addServlet, addServlet, addServletMapping, addServletWithMapping, addServletWithMapping, addServletWithMapping, doStart, doStop, getContextLog, getFilter, getFilterMappings, getFilters, getHolderEntry, getMaxFilterChainsCacheSize, getRequestDispatcher, getServlet, getServletContext, getServletMappings, getServlets, handle, initialize, isAvailable, isFilterChainsCached, isInitializeAtStart, isStartWithUnavailable, matchesPath, newFilterHolder, newFilterHolder, newServletHolder, newServletHolder, notFound, setFilterChainsCached, setFilterMappings, setFilters, setInitializeAtStart, setMaxFilterChainsCacheSize, setServer, setServletMappings, setServlets, setStartWithUnavailable, updateMappings, updateNameMappings`

Methods inherited from class org.mortbay.jetty.handler.AbstractHandler
`destroy, getServer, toString`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mortbay.component.LifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Constructor Detail

### ServletHandler

    public ServletHandler()

Method Detail

### getCallbacks

    public LifeCycleCallbackCollection getCallbacks()

  Returns:
    the callbacks

### setCallbacks

    public void setCallbacks(LifeCycleCallbackCollection callbacks)

  Parameters:
    `callbacks` - the callbacks to set

### getInjections

    public InjectionCollection getInjections()

  Returns:
    the injections

### setInjections

    public void setInjections(InjectionCollection injections)

  Parameters:
    `injections` - the injections to set

### customizeFilter

    public javax.servlet.Filter customizeFilter(javax.servlet.Filter filter)
                                         throws java.lang.Exception

  Description copied from class: `ServletHandler`
  Customize a Filter. Called before the Filter goes into service. Subclasses of ServletHandler should override this method.

  Overrides:
    `customizeFilter` in class `ServletHandler`
  Returns:
  Throws:
    `java.lang.Exception`
  See Also:
    `ServletHandler.customizeFilter(javax.servlet.Filter)`

### customizeServlet

    public javax.servlet.Servlet customizeServlet(javax.servlet.Servlet servlet)
                                           throws java.lang.Exception

  Description copied from class: `ServletHandler`
  Customize a servlet. Called before the servlet goes into service. Subclasses of ServletHandler should override this method.

  Overrides:
    `customizeServlet` in class `ServletHandler`
  Returns:
  Throws:
    `java.lang.Exception`
  See Also:
    `ServletHandler.customizeServlet(javax.servlet.Servlet)`

### customizeFilterDestroy

    public javax.servlet.Filter customizeFilterDestroy(javax.servlet.Filter filter)
                                                throws java.lang.Exception

  Overrides:
    `customizeFilterDestroy` in class `ServletHandler`
  Throws:
    `java.lang.Exception`
  See Also:
    `org.mortbay.jetty.servlet.ServletHandler#cusomizeFilterDestroy(javax.servlet.Filter)`

### customizeServletDestroy

    public javax.servlet.Servlet customizeServletDestroy(javax.servlet.Servlet servlet)
                                                  throws java.lang.Exception

  Overrides:
    `customizeServletDestroy` in class `ServletHandler`
  Throws:
    `java.lang.Exception`
  See Also:
    `ServletHandler.customizeServletDestroy(javax.servlet.Servlet)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.